//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializecreateArticleRequest")
inline fun createArticleRequest(block: gg.dsepractice.chinese.v1alpha1.CreateArticleRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.CreateArticleRequest =
  gg.dsepractice.chinese.v1alpha1.CreateArticleRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.CreateArticleRequest.newBuilder()).apply { block() }._build()
object CreateArticleRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.CreateArticleRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.CreateArticleRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.CreateArticleRequest = _builder.build()

    /**
     * <code>string name = 1 [json_name = "name"];</code>
     */
    var name: kotlin.String
      @JvmName("getName")
      get() = _builder.getName()
      @JvmName("setName")
      set(value) {
        _builder.setName(value)
      }
    /**
     * <code>string name = 1 [json_name = "name"];</code>
     */
    fun clearName() {
      _builder.clearName()
    }

    /**
     * An uninstantiable, behaviorless type to represent the field in
     * generics.
     */
    @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
    class ParagraphsProxy private constructor() : com.google.protobuf.kotlin.DslProxy()
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @return A list containing the paragraphs.
     */
     val paragraphs: com.google.protobuf.kotlin.DslList<kotlin.String, ParagraphsProxy>
    @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
      get() = com.google.protobuf.kotlin.DslList(
        _builder.getParagraphsList()
      )
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param value The paragraphs to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("addParagraphs")
    fun com.google.protobuf.kotlin.DslList<kotlin.String, ParagraphsProxy>.add(value: kotlin.String) {
      _builder.addParagraphs(value)
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param value The paragraphs to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("plusAssignParagraphs")
    @Suppress("NOTHING_TO_INLINE")
    inline operator fun com.google.protobuf.kotlin.DslList<kotlin.String, ParagraphsProxy>.plusAssign(value: kotlin.String) {
      add(value)
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param values The paragraphs to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("addAllParagraphs")
    fun com.google.protobuf.kotlin.DslList<kotlin.String, ParagraphsProxy>.addAll(values: kotlin.collections.Iterable<kotlin.String>) {
      _builder.addAllParagraphs(values)
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param values The paragraphs to add.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("plusAssignAllParagraphs")
    @Suppress("NOTHING_TO_INLINE")
    inline operator fun com.google.protobuf.kotlin.DslList<kotlin.String, ParagraphsProxy>.plusAssign(values: kotlin.collections.Iterable<kotlin.String>) {
      addAll(values)
    }
    /**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     * @param index The index to set the value at.
     * @param value The paragraphs to set.
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("setParagraphs")
    operator fun com.google.protobuf.kotlin.DslList<kotlin.String, ParagraphsProxy>.set(index: kotlin.Int, value: kotlin.String) {
      _builder.setParagraphs(index, value)
    }/**
     * <code>repeated string paragraphs = 2 [json_name = "paragraphs"];</code>
     */
    @kotlin.jvm.JvmSynthetic
    @kotlin.jvm.JvmName("clearParagraphs")
    fun com.google.protobuf.kotlin.DslList<kotlin.String, ParagraphsProxy>.clear() {
      _builder.clearParagraphs()
    }}
}
inline fun gg.dsepractice.chinese.v1alpha1.CreateArticleRequest.copy(block: gg.dsepractice.chinese.v1alpha1.CreateArticleRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.CreateArticleRequest =
  gg.dsepractice.chinese.v1alpha1.CreateArticleRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

